Debian Bug report logs - #556131
RFP: opensips -- very fast and configurable SIP server

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Alejandro Rios P." <alerios@debian.org>

Date: Fri, 13 Nov 2009 19:51:05 UTC

Severity: wishlist

Tags: pending

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-voip-maintainers@lists.alioth.debian.org, <wnpp@debian.org>:
Bug#556131; Package wnpp. (Fri, 13 Nov 2009 19:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Alejandro Rios P." <alerios@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-voip-maintainers@lists.alioth.debian.org, <wnpp@debian.org>. (Fri, 13 Nov 2009 19:51:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Alejandro Rios P." <alerios@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: opensips -- very fast and configurable SIP server
Date: Fri, 13 Nov 2009 14:48:00 -0500
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: "Alejandro Rios P." <alerios@debian.org>

* Package name    : opensips
  Version         : 1.6.0
  Upstream Author : OpenSIPS Project <devel@lists.opensips.org>
* URL             : http://www.opensips.org
* License         : GPL
  Programming Lang: C
  Description     : very fast and configurable SIP server

 OpenSIPS is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, OpenSIPS can handle thousands calls
 per second even on low-budget hardware.
 .
 C Shell-like scripting language provides full control over the server's
 behaviour. Its modular architecture allows only required functionality to be
 loaded.
 .
 Among others, the following modules are available: Digest Authentication, CPL
 scripts, Instant Messaging, MySQL support, Presence Agent, Radius
 Authentication, Record Routing, SMS Gateway, Jabber/XMPP Gateway, Transaction
 Module, Registrar and User Location, Load Balaning/Dispatching/LCR,
 XMLRPC Interface.
 .
 This package contains the main OpenSIPS binary along with the principal modules
 and support binaries.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Alejandro Rios P." <alerios@debian.org>:
Bug#556131; Package wnpp. (Sat, 14 Nov 2009 00:18:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Alejandro Rios P." <alerios@debian.org>. (Sat, 14 Nov 2009 00:18:10 GMT) Full text and rfc822 format available.

Message #10 received at 556131@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: "Alejandro Rios P." <alerios@debian.org>, 556131@bugs.debian.org
Subject: Re: Bug#556131: ITP: opensips -- very fast and configurable SIP server
Date: Fri, 13 Nov 2009 21:38:45 +0100
[Message part 1 (text/plain, inline)]
On Nov 13, "Alejandro Rios P." <alerios@debian.org> wrote:

>   Description     : very fast and configurable SIP server
It may be a good idea to mention in the long description that it is a
fork of OpenSER.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 01 Dec 2009 07:06:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Alejandro Rios P." <alerios@debian.org>:
Bug#556131; Package wnpp. (Thu, 25 Mar 2010 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Alejandro Rios P." <alerios@debian.org>. (Thu, 25 Mar 2010 11:03:03 GMT) Full text and rfc822 format available.

Message #17 received at 556131@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: "Alejandro Rios P." <alerios@debian.org>, pkg-voip-maintainers@lists.alioth.debian.org, 556131@bugs.debian.org
Subject: pkg-voip status? OpenSIPS ITP status?
Date: Thu, 25 Mar 2010 18:52:28 +0800
[Message part 1 (text/plain, inline)]
Hi all,

Starting next week my paid work will involve some VoIP stuff, including
running OpenSIPS on Debian servers. I'm wondering what the status of the
OpenSIPS ITP is? Also, probably OpenSER should be removed from Debian
after squeeze since OpenSIPS is one of the replacements for it?

In addition I'd like to join the pkg-voip team to help maintain it,
asterisk and other VoIP stuff. I notice on the pkg-voip qareport.cgi
there are quite a few pkg-voip packages that have open RC bugs, what is
the status of the pkg-voip team?

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Alejandro Rios P." <alerios@debian.org>:
Bug#556131; Package wnpp. (Thu, 25 Mar 2010 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Alejandro Rios P." <alerios@debian.org>. (Thu, 25 Mar 2010 17:09:03 GMT) Full text and rfc822 format available.

Message #22 received at 556131@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Paul Wise <pabs@debian.org>
Cc: "Alejandro Rios P." <alerios@debian.org>, pkg-voip-maintainers@lists.alioth.debian.org, 556131@bugs.debian.org
Subject: Re: pkg-voip status? OpenSIPS ITP status?
Date: Thu, 25 Mar 2010 18:07:16 +0100
Paul Wise <pabs@debian.org> wrote:

Hi Paul,

> Starting next week my paid work will involve some VoIP stuff, including
> running OpenSIPS on Debian servers. I'm wondering what the status of the
> OpenSIPS ITP is? Also, probably OpenSER should be removed from Debian
> after squeeze since OpenSIPS is one of the replacements for it?

The status of all the OpenSER derivatives is pretty much the same; they
all need a thorough license check, and on such a massive codebase it's
not an easy thing to do.

There are a number of license incompatibilities in there, and a
significant number of them can't be fixed (original authors disappeared,
are uninterested or unwilling to fix the license for one reason or
another...).

Additionally, there are some nasty GPL/OpenSSL issues involving some of
the plugins and libraries they use.

That was the situation last I got involved in this, from the top of my
head.

Good luck,

JB.

-- 
 Julien BLACHE - Debian & GNU/Linux Developer - <jblache@debian.org> 
 
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Alejandro Rios P." <alerios@debian.org>:
Bug#556131; Package wnpp. (Thu, 25 Mar 2010 18:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alejandro Rios <alejandro.rios@avatar.com.co>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Alejandro Rios P." <alerios@debian.org>. (Thu, 25 Mar 2010 18:06:06 GMT) Full text and rfc822 format available.

Message #27 received at 556131@bugs.debian.org (full text, mbox):

From: Alejandro Rios <alejandro.rios@avatar.com.co>
To: Paul Wise <pabs@debian.org>
Cc: pkg-voip-maintainers@lists.alioth.debian.org, 556131@bugs.debian.org
Subject: Re: pkg-voip status? OpenSIPS ITP status?
Date: Thu, 25 Mar 2010 14:04:19 -0400
[Message part 1 (text/plain, inline)]
Hello Paul

Current packaging for opensips in pkg-voip's svn is almost ready to go,
except for last comments from the ftp-master. See:
http://lists.alioth.debian.org/pipermail/pkg-voip-maintainers/2009-December/015847.html

Alejandro Rios Peña
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Alejandro Rios P." <alerios@debian.org>:
Bug#556131; Package wnpp. (Sat, 19 Feb 2011 18:15:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Alejandro Rios P." <alerios@debian.org>. (Sat, 19 Feb 2011 18:15:25 GMT) Full text and rfc822 format available.

Message #32 received at 556131@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 556131@bugs.debian.org
Cc: control@bugs.debian.org
Subject: opensips: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:06:36 +0000
retitle 556131 RFP: opensips -- very fast and configurable SIP server
noowner 556131
thanks

Hi,

This is an automatic email to change the status of opensips back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting opensips, please send a mail to
<control@bugs.debian.org> with:

 retitle 556131 ITP: opensips -- very fast and configurable SIP server
 owner 556131 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <556131@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: opensips -- very fast and configurable SIP server' from 'ITP: opensips -- very fast and configurable SIP server' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:20:16 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "Alejandro Rios P." <alerios@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:20:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:42:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.